From e1e2ecaec48057d86c90fc6074c8cb0d6d3165c1 Mon Sep 17 00:00:00 2001
From: tezike <eziket18@gmail.com>
Date: May 01 2021 21:46:56 +0000
Subject: [PATCH 4/6] made some changes


---

diff --git a/utils.py b/utils.py
index b3aa96c..76452d3 100644
--- a/utils.py
+++ b/utils.py
@@ -1,4 +1,7 @@
 import requests
+import pandas as pd
+import matplotlib.pyplot as plt
+from typing import Dict, List
 
 url = "https://apps.fedoraproject.org/datagrepper/raw"
 
@@ -38,3 +41,34 @@ def grep(tries=0, **kwargs):
             raise ValueError("Ran out of retries")
         for message in data.get("raw_messages", []):
             yield message
+            
+def rename(df: pd.DataFrame, columns: List, new_names: Dict) -> pd.DataFrame:
+    df.rename(columns=new_names)
+    return df[columns]
+
+def get_pct(df: pd.DataFrame, columns: List = ["msgs1", "msgs9", "msgs40", "msgsrest"]):
+    df["msgstotal"] = df[columns].sum(1)
+    total = df["msgstotal"]
+    data_list = columns
+    for i in data_list:
+        df[i + "%"] = 100 * df[i] / total
+
+def plot(df, suptitle: str, title: str, color, **kwargs) -> None:
+    graph = df.plot.area(
+                    figsize=(16, 9),
+                    color=color,
+                    grid=False,
+                    yticks=kwargs.get('yticks', None),
+                    stacked=kwargs.get('stacked', True),
+                    ylim=kwargs.get('ylim', None)
+                )
+    plt.suptitle(suptitle, fontsize=24)
+    graph.set_title(title, fontsize=16)
+    graph.set_xlabel("")
+    graph.xaxis.grid(True, which="minor", linestyle="-", linewidth=0.25)
+    graph.yaxis.grid(True, which="major", linestyle="-", linewidth=0.25)
+    return graph
+
+def save(graph, path: str) -> None:
+    fig = graph.get_figure()
+    fig.savefig(path, dpi=300)
\ No newline at end of file

